Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Interface Visitable

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbsExpression, AbstractDomainObject, AbstractPath, AbstractVisitable, AllExpression, AndPredicate, AnyExpression, ArrayExpression, AverageExpression, BetweenExpression, BinaryExpressionPredicate, BinaryOperatorExpression, CaseExpressionImpl, ConcatExpression, ConstantExpression, CountExpression, CurrentTimeExpression, DistinctExpression, DividedByExpression, ElseExpression, EntryExpression, EqualExpression, ExistsExpression, ExpressionImpl, FetchPath, GreaterEqualExpression, GreaterThanExpression, IndexExpression, InExpression, IsEmptyExpression, IsNullExpression, JoinPath, KeyExpression, LengthExpression, LessEqualExpression, LessThanExpression, LikeExpression, LiteralExpression, LocateExpression, LogicalPredicate, LowerExpression, MaxExpression, MemberOfExpression, MinExpression, MinusExpression, ModExpression, NavigationPath, NewInstance, NotEqualExpression, OperatorPath, OrderableItem, OrPredicate, ParameterExpression, PlusExpression, QueryDefinitionImpl, QueryExpression, RangeExpression, RootPath, SizeExpression, SomeExpression, SquareRootExpression, SubStringExpression, SumExpression, TimesExpression, TrimExpression, TypeExpression, UnaryExpressionPredicate, UnaryMinusExpression, UnaryOperatorExpression, UpperExpression, ValueExpression, VarArgsExpression

    public interface Visitable

extends Serializable

An element of query that is convertible to a JPQL String given a aliasing scheme. QueryDefinition visits each of its element and translates them.

Author:
  Pinaki Poddar

Method Summary
`String` | `asExpression(AliasContext ctx)` Get a JPQL fragment as used in WHERE clause.
`String` | `asJoinable(AliasContext ctx)` Gets the string representation in FROM clause.
`String` | `asProjection(AliasContext ctx)` Gets the string representation in SELECT projection.
`String` | `getAliasHint(AliasContext ctx)` Gets the hint to be used while creating alias.

Method Detail

### asExpression

    String asExpression(AliasContext ctx)

  Get a JPQL fragment as used in WHERE clause.

### asProjection

    String asProjection(AliasContext ctx)

  Gets the string representation in SELECT projection.

### asJoinable

    String asJoinable(AliasContext ctx)

  Gets the string representation in FROM clause.

### getAliasHint

    String getAliasHint(AliasContext ctx)

  Gets the hint to be used while creating alias.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.